#include <kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "kforms.h"

int main( int argc, char **argv )
{
    static KCmdLineOptions options[] = {
        { "+file", I18N_NOOP( "A filename" ), 0 },
        { 0, 0, 0 }
    };

    KAboutData about("kform", I18N_NOOP("KForm"), "Pre-0.0",
		     I18N_NOOP("An XML Form Loader"),
                     KAboutData::License_Unknown,
		     I18N_NOOP("(c) 2001-2002 Richard Moore"));
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

    KForms::Builder *dlg = new KForms::Builder();
    
    QString xml;
    if ( args->count() )
	xml = args->arg( 0 );

    if ( xml.isNull() )
	xml = "dialog.xml";

    if ( !dlg->load( xml ) ) {
	kdDebug() << "Could not load " << xml << endl;
	app.exit(1);
    }

    dlg->dialog()->exec();
}
